cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/custom_feature/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_features.get_custom_feature_by_id(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customFeatures.getCustomFeatureById('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customFeatures->getCustomFeatureById('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_features.custom_features_dto.CustomFeaturesDto.CustomFeature;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CustomFeature> response = client.customFeatures().getCustomFeatureById(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomFeatures.GetCustomFeatureByIdAsync("cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customFeatures.getCustomFeatureById(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomFeatures().GetCustomFeatureByID(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_feature": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"use_in": "<string>",
"relation": "<string>",
"custom_component": "<unknown>",
"custom_objects": [
{}
],
"custom_forms": [
{
"configuration": {
"settings": {
"custom_form": "<string>",
"form_layout": "<string>"
},
"column_1": {
"attributes": [
{
"data_type": "<string>",
"display_name": "<string>",
"name": "<string>",
"show_in_list_view": true,
"type": "<string>"
}
]
},
"column_2": {
"attributes": [
{
"name": "<string>",
"type": "<string>"
}
]
}
}
}
],
"child_custom_components": [
{}
],
"activity_logs": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
},
"message": "<string>"
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Custom features
Retrieve a custom feature
Returns one custom feature, under custom_feature.
GET
/
custom_feature
/
{custom_feature_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/custom_feature/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_features.get_custom_feature_by_id(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customFeatures.getCustomFeatureById('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customFeatures->getCustomFeatureById('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_features.custom_features_dto.CustomFeaturesDto.CustomFeature;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CustomFeature> response = client.customFeatures().getCustomFeatureById(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomFeatures.GetCustomFeatureByIdAsync("cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customFeatures.getCustomFeatureById(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomFeatures().GetCustomFeatureByID(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_feature": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"use_in": "<string>",
"relation": "<string>",
"custom_component": "<unknown>",
"custom_objects": [
{}
],
"custom_forms": [
{
"configuration": {
"settings": {
"custom_form": "<string>",
"form_layout": "<string>"
},
"column_1": {
"attributes": [
{
"data_type": "<string>",
"display_name": "<string>",
"name": "<string>",
"show_in_list_view": true,
"type": "<string>"
}
]
},
"column_2": {
"attributes": [
{
"name": "<string>",
"type": "<string>"
}
]
}
}
}
],
"child_custom_components": [
{}
],
"activity_logs": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
},
"message": "<string>"
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads a single custom feature by its
cmp_ id, with its forms, custom objects and child components.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom feature's id, which starts with cmp_.